/// @cond EO_CXX_EO_IMPL

inline void elm::video::play() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_play());
}

inline void elm::video::pause() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_pause());
}

inline void elm::video::stop() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_stop());
}

inline double elm::video::audio_level_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_audio_level_get());
   return _tmp_ret;
}

inline void elm::video::audio_level_set(double volume_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_audio_level_set(volume_));
}

inline bool elm::video::remember_position_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_remember_position_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::video::remember_position_set(bool remember_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_remember_position_set(::efl::eolian::to_c(remember_)));
}

inline double elm::video::play_position_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_play_position_get());
   return _tmp_ret;
}

inline void elm::video::play_position_set(double position_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_play_position_set(position_));
}

inline bool elm::video::audio_mute_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_audio_mute_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::video::audio_mute_set(bool mute_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_audio_mute_set(::efl::eolian::to_c(mute_)));
}

inline bool elm::video::is_playing_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_is_playing_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline double elm::video::play_length_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_play_length_get());
   return _tmp_ret;
}

inline ::evas::object elm::video::emotion_get() const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_emotion_get());
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool elm::video::is_seekable_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_is_seekable_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view elm::video::title_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_title_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::video::play() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_play());
}

inline void eo_cxx::elm::video::pause() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_pause());
}

inline void eo_cxx::elm::video::stop() const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_stop());
}

inline double eo_cxx::elm::video::audio_level_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_audio_level_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::video::audio_level_set(double volume_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_audio_level_set(volume_));
}

inline bool eo_cxx::elm::video::remember_position_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_remember_position_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::video::remember_position_set(bool remember_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_remember_position_set(::efl::eolian::to_c(remember_)));
}

inline double eo_cxx::elm::video::play_position_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_play_position_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::video::play_position_set(double position_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_play_position_set(position_));
}

inline bool eo_cxx::elm::video::audio_mute_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_audio_mute_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::video::audio_mute_set(bool mute_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_video_audio_mute_set(::efl::eolian::to_c(mute_)));
}

inline bool eo_cxx::elm::video::is_playing_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_is_playing_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline double eo_cxx::elm::video::play_length_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_play_length_get());
   return _tmp_ret;
}

inline ::evas::object eo_cxx::elm::video::emotion_get() const
{
   Evas_Object * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_emotion_get());
   return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::video::is_seekable_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_is_seekable_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::efl::eina::string_view eo_cxx::elm::video::title_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_video_title_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::eo_cxx::elm::video::operator ::elm::video() const
{
   return *static_cast<::elm::video const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::video::operator ::elm::video&()
{
   return *static_cast<::elm::video*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::video::operator ::elm::video const&() const
{
   return *static_cast<::elm::video const*>(static_cast<void const*>(this));
}

template <typename T>
void elm_video_play_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->play();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_video_pause_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->pause();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_video_stop_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->stop();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_video_audio_level_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->audio_level_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_video_audio_level_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double volume_)
{
   try
      {
         static_cast<T*>(self->this_)->audio_level_set(volume_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_video_remember_position_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->remember_position_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_video_remember_position_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool remember_)
{
   try
      {
         static_cast<T*>(self->this_)->remember_position_set(::efl::eolian::to_cxx<bool>(remember_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_video_play_position_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->play_position_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_video_play_position_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double position_)
{
   try
      {
         static_cast<T*>(self->this_)->play_position_set(position_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_video_audio_mute_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->audio_mute_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_video_audio_mute_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool mute_)
{
   try
      {
         static_cast<T*>(self->this_)->audio_mute_set(::efl::eolian::to_cxx<bool>(mute_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_video_is_playing_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->is_playing_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
double elm_video_play_length_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->play_length_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
::evas::object elm_video_emotion_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->emotion_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Evas_Object * _tmp_ret{};
         return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
bool elm_video_is_seekable_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->is_seekable_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
::efl::eina::string_view elm_video_title_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->title_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::video >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::layout >::template type<T>
         , virtual operations< ::efl::file >::template type<T>
         , virtual operations< ::elm_interface_atspi_widget_action >::template type<T>
   {
      virtual void play()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_play());
      }

      virtual void pause()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_pause());
      }

      virtual void stop()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_stop());
      }

      virtual double audio_level_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_audio_level_get());
            return _tmp_ret;
      }

      virtual void audio_level_set(double volume_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_audio_level_set(volume_));
      }

      virtual bool remember_position_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_remember_position_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void remember_position_set(bool remember_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_remember_position_set(::efl::eolian::to_c(remember_)));
      }

      virtual double play_position_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_play_position_get());
            return _tmp_ret;
      }

      virtual void play_position_set(double position_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_play_position_set(position_));
      }

      virtual bool audio_mute_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_audio_mute_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void audio_mute_set(bool mute_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_video_audio_mute_set(::efl::eolian::to_c(mute_)));
      }

      virtual bool is_playing_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_is_playing_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual double play_length_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_play_length_get());
            return _tmp_ret;
      }

      virtual ::evas::object emotion_get()
      {
         Evas_Object * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_emotion_get());
            return ::efl::eolian::to_cxx<::evas::object>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual bool is_seekable_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_is_seekable_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual ::efl::eina::string_view title_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_video_title_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

   };
};


template<>
struct operation_description_class_size< ::elm::video >
{
   static constexpr int value = 
#if defined(VIDEO_PROTECTED) && defined(VIDEO_BETA)
      16
#elif defined(VIDEO_PROTECTED)
      16
#elif defined(VIDEO_BETA)
      16
#else
      16
#endif
      + operation_description_class_size<::elm::layout >::value      + operation_description_class_size<::efl::file >::value      + operation_description_class_size<::elm_interface_atspi_widget_action >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::video>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_video_play_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_play);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_pause_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_pause);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_stop_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_stop);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_audio_level_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_audio_level_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_audio_level_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_audio_level_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_remember_position_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_remember_position_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_remember_position_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_remember_position_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_play_position_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_play_position_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_play_position_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_play_position_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_audio_mute_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_audio_mute_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_audio_mute_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_audio_mute_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_is_playing_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_is_playing_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_play_length_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_play_length_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_emotion_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_emotion_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_is_seekable_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_is_seekable_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_video_title_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_video_title_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::layout>(), &ops[operation_description_class_size< ::elm::video >::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::efl::file>(), &ops[operation_description_class_size< ::elm::video >::value + operation_description_class_size<::elm::layout>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_atspi_widget_action>(), &ops[operation_description_class_size< ::elm::video >::value + operation_description_class_size<::elm::layout>::value + operation_description_class_size<::efl::file>::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::video>)
{
   return (ELM_VIDEO_CLASS);
}

} } }

/// @endcond

